Cannot install package mygene on Bioconductor 3.3, R 3.3.0
0
0
Entering edit mode
@carloschauhk-10800
Last seen 6.7 years ago

I am on a computer with Ubuntu 12.04 (64-bit), R 3.3.0 and Bioconductor 3.3.

When I try to install the package mygene, I keep getting the error 'dereferencing pointer to incomplete type' when R installs mygene's dependent package openssl and httr. Below is the full output from R.

Please kindly assist. Thank you!

Carlos

 

> biocLite("mygene")
BioC_mirror: https://bioconductor.org
Using Bioconductor 3.3 (BiocInstaller 1.22.2), R 3.3.0 (2016-05-03).
Installing package(s) ‘mygene’
also installing the dependencies ‘openssl’, ‘httr’

trying URL 'https://cran.rstudio.com/src/contrib/openssl_0.9.4.tar.gz'
Content type 'application/x-gzip' length 1165388 bytes (1.1 MB)
==================================================
downloaded 1.1 MB

trying URL 'https://cran.rstudio.com/src/contrib/httr_1.1.0.tar.gz'
Content type 'application/x-gzip' length 118882 bytes (116 KB)
==================================================
downloaded 116 KB

trying URL 'https://bioconductor.org/packages/3.3/bioc/src/contrib/mygene_1.8.0.tar.gz'
Content type 'application/x-gzip' length 121213 bytes (118 KB)
==================================================
downloaded 118 KB

* installing *source* package ‘openssl’ ...
** package ‘openssl’ successfully unpacked and MD5 sums checked
Found pkg-config cflags and libs!
Using PKG_CFLAGS=-I/opt/R-3.3.0/openssl-1.1.0/include  
Using PKG_LIBS=-L/opt/R-3.3.0/openssl-1.1.0/lib -lssl -lcrypto  
** libs
gcc -std=gnu99 -I/exeh/exe3/ccarlos/bin/R-3.3.0/include -DNDEBUG -I/opt/R-3.3.0/openssl-1.1.0/include   -I/usr/local/include    -fpic  -g -O2  -c aes.c -o aes.o
gcc -std=gnu99 -I/exeh/exe3/ccarlos/bin/R-3.3.0/include -DNDEBUG -I/opt/R-3.3.0/openssl-1.1.0/include   -I/usr/local/include    -fpic  -g -O2  -c base64.c -o base64.o
gcc -std=gnu99 -I/exeh/exe3/ccarlos/bin/R-3.3.0/include -DNDEBUG -I/opt/R-3.3.0/openssl-1.1.0/include   -I/usr/local/include    -fpic  -g -O2  -c bignum.c -o bignum.o
gcc -std=gnu99 -I/exeh/exe3/ccarlos/bin/R-3.3.0/include -DNDEBUG -I/opt/R-3.3.0/openssl-1.1.0/include   -I/usr/local/include    -fpic  -g -O2  -c cert.c -o cert.o
cert.c: In function ‘R_cert_info’:
cert.c:45:37: error: dereferencing pointer to incomplete type
cert.c:49:50: error: dereferencing pointer to incomplete type
cert.c:50:39: error: dereferencing pointer to incomplete type
cert.c:50:62: error: dereferencing pointer to incomplete type
cert.c:55:31: error: dereferencing pointer to incomplete type
cert.c:62:31: error: dereferencing pointer to incomplete type
make: *** [cert.o] Error 1
ERROR: compilation failed for package ‘openssl’
* removing ‘/exeh/exe3/ccarlos/bin/R-3.3.0/library/openssl’
ERROR: dependency ‘openssl’ is not available for package ‘httr’
* removing ‘/exeh/exe3/ccarlos/bin/R-3.3.0/library/httr’
ERROR: dependency ‘httr’ is not available for package ‘mygene’
* removing ‘/exeh/exe3/ccarlos/bin/R-3.3.0/library/mygene’

The downloaded source packages are in
    ‘/tmp/RtmpsAlz8k/downloaded_packages’
Updating HTML index of packages in '.Library'
Making 'packages.html' ... done
Warning messages:
1: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘openssl’ had non-zero exit status
2: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘httr’ had non-zero exit status
3: In install.packages(pkgs = doing, lib = lib, ...) :
  installation of package ‘mygene’ had non-zero exit status

 

 

> sessionInfo()
R version 3.3.0 (2016-05-03)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Ubuntu precise (12.04.5 LTS)

locale:
 [1] LC_CTYPE=en_HK.UTF-8       LC_NUMERIC=C              
 [3] LC_TIME=en_HK.UTF-8        LC_COLLATE=en_HK.UTF-8    
 [5] LC_MONETARY=en_HK.UTF-8    LC_MESSAGES=en_HK.UTF-8   
 [7] LC_PAPER=en_HK.UTF-8       LC_NAME=C                 
 [9] LC_ADDRESS=C               LC_TELEPHONE=C            
[11] LC_MEASUREMENT=en_HK.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
[1] BiocInstaller_1.22.2

loaded via a namespace (and not attached):
[1] tools_3.3.0
mygene bioconductor openssl httr • 1.3k views
ADD COMMENT
0
Entering edit mode

I can't reproduce this easily, but I do wonder whether it has to do with the version of OpenSSL you've trying to compile against.  It looks like you have version 1.1.0, which is still in beta testing and isn't recommended for use.  I wonder if this is the source of the problems.  

Perhaps you can try removing it (it's also sitting in your R installation directory which is a little unusual), and using the version provided by your linux package manager.

ADD REPLY
0
Entering edit mode

Dear Mike,

You're right! OpenSSL 1.1.0 appears to be the problem. Thanks for your reply!

Carlos

ADD REPLY

Login before adding your answer.

Traffic: 548 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6